# Behaviour
set -g base-index 1
setw -g status-keys vi
setw -g mode-keys vi
setw -g pane-base-index 1
select-layout main-vertical
set -g main-pane-width 60%
set-hook -g after-new-window 'select-layout main-vertical'
set-hook -g after-split-window 'select-layout main-vertical'

# Appearance
set -g clock-mode-style 12-with-seconds
set -g clock-mode-colour red
set -g status-right "#S #I #P #h #(upower -i /org/freedesktop/UPower/devices/battery_BAT0 | grep -E "percentage" | sed 's/[ ]*percentage:[ ]*//') %Y-%m-%d %I:%M"
set -g status-left "#W"

set -g status-position top
set -g status-style 'fg=black bg=white'

#Binds
unbind C-b
set -g prefix C-s
bind C-a send-prefix

bind -n M-h select-pane -L
bind -n M-j select-pane -D
bind -n M-k select-pane -U
bind -n M-l select-pane -R

bind M-h resize-pane -L S
bind M-j resize-pane -D S
bind M-k resize-pane -U S
bind M-l resize-pane -R S

bind -n M-s swap-pane -s ! -t 0 \; select-layout main-vertical
bind -n M-n select-pane -t :.+
